/**
 * Vue Inertia Composable
 *
 * @license MIT
 * @author Logue {@link logue@hotmail.co.jp}
 * @copyright 2022 Masashi Yoshikawa {@link https://logue.dev/} All rights reserved.
 * @see {@link https://github.com/logue/vue-inertia-composable}
 */
import type { Page } from '@inertiajs/inertia';
import type { Router } from '@inertiajs/inertia/types/router';
import type { InertiaFormTrait, InertiaHeadManager } from '@inertiajs/inertia-vue';
import type { Config, RouteParam, RouteParamsWithQueryOverload } from 'ziggy-js';
/**
 * Get head manager instance
 */
export declare function useHeadManager(): InertiaHeadManager;
/**
 *  Get page instance
 */
export declare function usePage(): Page<any>;
/**
 * Get inertia instance
 */
export declare function useInertia(): Router & InertiaFormTrait;
/**
 * Get route instance
 */
export declare function route(name: string, params?: RouteParamsWithQueryOverload | RouteParam, absolute?: boolean, config?: Config): string;
//# sourceMappingURL=index.d.ts.map